<?php
//includes
include('functions/theme-admin.php');
include('functions/pagination.php');
include('functions/better-excerpts.php');
include('functions/slides-meta.php');

// get scripts
add_action('wp_enqueue_scripts','quik_gallery_scripts_function');
function quik_gallery_scripts_function() {
global $options; //get options outside of function
	
// use Google JS script
   wp_deregister_script('jquery'); 
   wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"), false, '1.4.2'); 
   wp_enqueue_script('jquery');
   
// include all JS to the WP hook
	wp_enqueue_script('sliding_effect', get_stylesheet_directory_uri() . '/js/sliding_effect.js', array('jquery'), '1.0', false);
	wp_enqueue_script('scrollTo', get_stylesheet_directory_uri() . '/js/jquery.scrollTo-min.js', array('jquery'), '1.4.2', false);
	wp_enqueue_script('localscroll', get_stylesheet_directory_uri() . '/js/jquery.localscroll-1.2.7-min.js', array('jquery'), '1.4.2', false);
	wp_enqueue_script('superfish', get_stylesheet_directory_uri() . '/js/superfish.js', array('jquery'), '1.4.8', false);
	wp_enqueue_script('custom', get_stylesheet_directory_uri() . '/js/custom.js', array('jquery'), '1.0', false);
	
	if(is_front_page()) :
	if ($options['disable_homepage_slider'] != true) { 
		wp_enqueue_script('nivoSlider', get_stylesheet_directory_uri() . '/js/jquery.nivo.slider.pack.js', array('jquery'), '2.5.1', false);
	}
	endif;
}

//Remove WordPress Version For Security Reasons
remove_action('wp_head', 'wp_generator');

// Limit Post Word Count
function new_excerpt_length($length) {
	return 30;
}
add_filter('excerpt_length', 'new_excerpt_length');

//Replace Excerpt Link
function new_excerpt_more($more) {
       global $post;
	return '...';
}
add_filter('excerpt_more', 'new_excerpt_more');

//Activate post-image functionality (WP 2.9+)
if ( function_exists( 'add_theme_support' ) )
add_theme_support( 'post-thumbnails' );

// featured image sizes
if ( function_exists( 'add_image_size' ) ) {
add_image_size( 'full-size',  9999, 9999, false );
add_image_size( 'post',  140, 140, true );
add_image_size( 'related',  60, 60, true );
add_image_size( 'slider',  620, 280, true );
}

// Enable Custom Background
add_custom_background();

// Register Navigation Menus
register_nav_menus(
	array(
	'primary'=>__('Primary Menu'),
	)
);
// menu fallback
function default_menu() {
	require_once (TEMPLATEPATH . '/includes/default-menu.php');
}

add_action( 'init', 'create_post_types' );
function create_post_types() {
// Define Post Type For Slider
  register_post_type( 'slides',
    array(
      'labels' => array(
		'name' => _x( 'Slides', 'post type general name' ), // Tip: _x('') is used for localization
		'singular_name' => _x( 'Slide', 'post type singular name' ),
		'add_new' => _x( 'Add New', 'Slide' ),
		'add_new_item' => __( 'Add New Slide' ),
		'edit_item' => __( 'Edit Slide' ),
		'new_item' => __( 'New Slide' ),
		'view_item' => __( 'View Slide' ),
		'search_items' => __( 'Search Slides' ),
		'not_found' =>  __( 'No Slides found' ),
		'not_found_in_trash' => __( 'No Slides found in Trash' ),
		'parent_item_colon' => ''
      ),
      'public' => true,
	  'exclude_from_search' => true,
	  'supports' => array('title','thumbnail'),
	  'menu_icon' => get_stylesheet_directory_uri() . '/images/admin/slides.png',
    )
  );
}

//Register Sidebars
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Sidebar',
'description' => 'Widgets in this area will be shown in the sidebar.',
'before_widget' => '<div class="sidebar-right-box">',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Footer Left',
'description' => 'Widgets in this area will be shown in the footer - left side.',
'before_widget' => '<div class="footer-box">',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Footer Middle Left',
'description' => 'Widgets in this area will be shown in the footer - middle left.',
'before_widget' => '<div class="footer-box">',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Footer Middle Right',
'description' => 'Widgets in this area will be shown in the footer - middle right.',
'before_widget' => '<div class="footer-box">',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));
if ( function_exists('register_sidebar') )
register_sidebar(array(
'name' => 'Footer Right',
'description' => 'Widgets in this area will be shown in the footer - right side.',
'before_widget' => '<div class="footer-box">',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));
?>