<?php
function quik_gallery_settings_init(){
	register_setting( 'quik_gallery_settings', 'quik_gallery_settings' );
}
function quick_galleryscripts() {
	
wp_enqueue_script("theme-admin", get_bloginfo('stylesheet_directory')."/functions/functions.js", false, "1.0");
wp_enqueue_script('bbq', get_bloginfo('stylesheet_directory') . '/functions/jquery.ba-bbq.min.js');
}

function quick_gallerystyle() {
wp_enqueue_style("theme-admin", get_bloginfo('stylesheet_directory')."/functions/functions.css", false, "1.0", "all");
}

function quick_galleryecho_scripts()
{
?>

<?php
}
if (isset($_GET['page']) && $_GET['page'] == 'quik_gallery-settings')
{
add_action('admin_print_scripts', 'quick_galleryscripts'); 
add_action('admin_print_styles', 'quick_gallerystyle');
}
add_action('admin_head', 'quick_galleryecho_scripts');

//menu
function quick_galleryadd_settings_page() {
add_theme_page( __( 'Theme Settings' ), __( 'Theme Settings' ), 'manage_options', 'quik_gallery-settings', 'quik_gallery_settings_page');
}

add_action( 'admin_init', 'quik_gallery_settings_init' );
add_action( 'admin_menu', 'quick_galleryadd_settings_page' );

//options
$slider_effects = array("random", "fade", "fold", "slideInRight", "slideInLeft", "sliceDown", "sliceDownLeft", "sliceUp", "sliceUpLeft", "sliceUpDown", "sliceUpDownLeft", "boxRandom", "boxRain", "boxRainReverse", "boxRainGrow", "boxRainGrowReverse");
$color_scheme = array('blue','green','pink','red');

function quik_gallery_settings_page() {

global $slider_effects, $color_scheme;
if ( ! isset( $_REQUEST['updated'] ) )
$_REQUEST['updated'] = false;
?>

<div class="wrap">
<div id="icon-options-general" class="icon32"></div>
<h2>Quik Gallery Settings</h2>

<div id="panel-content">
<?php if ( false !== $_REQUEST['updated'] ) : ?>
<div class="updated fade"><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
<?php endif; ?>
<form method="post" action="options.php">

<?php settings_fields( 'quik_gallery_settings' ); ?>
<?php $options = get_option( 'quik_gallery_settings' ); ?>
            
            
<div id="wrap-left">
	<ul class="tabs">
		<li><a href="#tab1">Main</a></li>
        <li><a href="#tab2">Image Slider</a></li>
		<li><a href="#tab3">Blog</a></li>
        <li><a href="#tab4">Ad Spots</a></li>
        <li><a href="#tab5">Footer</a></li>
		<li><a href="#tab6">Tracking code</a></li>
	</ul>
</div><!-- END wrap-left -->
            
<div id="wrap-right">
<div class="tab_container">

<div id="tab1" class="tab_content">
<ul>

<li><h3><?php _e( 'Custom Logo' ); ?></h3>
<input id="quik_gallery_settings[custom_logo]" class="regular-text" type="text" size="36" name="quik_gallery_settings[custom_logo]" value="<?php esc_attr_e( $options['custom_logo'] ); ?>" />
<label class="description abouttxtdescription" for="quik_gallery_settings[custom_logo]"><?php _e( 'Enter the URL to your custom logo' ); ?></label>
</li>

<li><h3><?php _e( 'Favicon' ); ?></h3>
<input id="quik_gallery_settings[custom_favicon]" class="regular-text" type="text" size="36" name="quik_gallery_settings[custom_favicon]" value="<?php esc_attr_e( $options['custom_favicon'] ); ?>" />
<label class="description abouttxtdescription" for="quik_gallery_settings[custom_favicon]"><?php _e( 'Enter the URL for the site favicon.' ); ?></label>
</li>

<li><h3><?php _e( 'Color Scheme' ); ?></h3>
<select name="quik_gallery_settings[color_scheme]">
<?php foreach ($color_scheme as $option) { ?>
<option <?php if ($options['color_scheme'] == $option ){ echo 'selected="selected"'; } ?>><?php echo htmlentities($option); ?></option>
<?php } ?>
</select>					
<label class="description" for="quik_gallery_settings[color_scheme]"><?php _e( 'Choose your color scheme' ); ?></label>
</li>

</ul>              
</div><!-- /main -->

<div id="tab2" class="tab_content">
<ul>

<li><h3><?php _e( 'Disable Homepage Slider' ); ?></h3>
<input id="quik_gallery_settings[disable_homepage_slider]" name="quik_gallery_settings[disable_homepage_slider]" type="checkbox" value="1" <?php checked( '1', $options['disable_homepage_slider'] ); ?> />
<label class="description" for="quik_gallery_settings[disable_homepage_slider]"><?php _e( 'Check this box if you would like to disable the homepage slider' ); ?></label>
</li>

<li><h3><?php _e( 'Transition' ); ?></h3>
<select name="quik_gallery_settings[effect]">
<?php foreach ($slider_effects as $option) { ?>
<option <?php if ($options['effect'] == $option ){ echo 'selected="selected"'; } ?>><?php echo htmlentities($option); ?></option>
<?php } ?>
</select>					
<label class="description" for="quik_gallery_settings[effect]"><?php _e( 'Choose the type of transition you want your slider to have. <small>~ Default is random.</small>' ); ?></label>
</li>

<li><h3><?php _e( 'Animation Speed' ); ?></h3>
<input id="quik_gallery_settings[anim_speed]" class="regular-text" type="text" name="quik_gallery_settings[anim_speed]" value="<?php esc_attr_e( $options['anim_speed'] ); ?>" />
<label class="description" for="quik_gallery_settings[anim_speed]"><?php _e( 'Type in the speed for the slide transitions in milliseconds. <small>~ Default is 500.</small>' ); ?></label>
</li>


<li><h3><?php _e( 'Pause Time' ); ?></h3>
<input id="quik_gallery_settings[pause_time]" class="regular-text" type="text" name="quik_gallery_settings[pause_time]" value="<?php esc_attr_e( $options['pause_time'] ); ?>" />
<label class="description" for="quik_gallery_settings[pause_time]"><?php _e( 'This is the time the image is displayed before it transits to the next, in milliseconds. <small>~ Default is 3000.</small>' ); ?></label>
</li>
                        
</ul>
</div><!-- /slider -->
 
<div id="tab3" class="tab_content">
<ul>

<li><h3><?php _e( 'Disable Featured Images On Single Posts' ); ?></h3>
<input id="quik_gallery_settings[disable_single_image]" name="quik_gallery_settings[disable_single_image]" type="checkbox" value="1" <?php checked( '1', $options['disable_single_image'] ); ?> />
<label class="description" for="quik_gallery_settings[disable_single_image]"><?php _e( 'Check this box if you would like to disable the thumbnail images on single posts.' ); ?></label>
</li>

<li><h3><?php _e( 'Disable Next and Previous Post Links' ); ?></h3>
<input id="quik_gallery_settings[disable_single_pagination]" name="quik_gallery_settings[disable_single_pagination]" type="checkbox" value="1" <?php checked( '1', $options['disable_single_pagination'] ); ?> />
<label class="description" for="quik_gallery_settings[disable_single_image]"><?php _e( 'Check this box if you would like to disable the next and previous links on single posts.' ); ?></label>
</li>

<li><h3><?php _e( 'Disable Post Tags Section' ); ?></h3>
<input id="quik_gallery_settings[disable_single_tags]" name="quik_gallery_settings[disable_single_tags]" type="checkbox" value="1" <?php checked( '1', $options['disable_single_tags'] ); ?> />
<label class="description" for="quik_gallery_settings[disable_single_tags]"><?php _e( 'Check this box if you would like to disable the post tags section at the bottom of single posts.' ); ?></label>
</li>

<li><h3><?php _e( 'Disable Author Bio' ); ?></h3>
<input id="quik_gallery_settings[disable_author_bio]" name="quik_gallery_settings[disable_author_bio]" type="checkbox" value="1" <?php checked( '1', $options['disable_author_bio'] ); ?> />
<label class="description" for="quik_gallery_settings[disable_author_bio]"><?php _e( 'Check this box if you would like to disable the author bio sections on single posts.' ); ?></label>
</li>

<li><h3><?php _e( 'Disable Related Posts' ); ?></h3>
<input id="quik_gallery_settings[disable_related_posts]" name="quik_gallery_settings[disable_related_posts]" type="checkbox" value="1" <?php checked( '1', $options['disable_related_posts'] ); ?> />
<label class="description" for="quik_gallery_settings[disable_related_posts]"><?php _e( 'Check this box if you would like to disable the related posts section.' ); ?></label>
</li>

</ul>
</div><!-- /blog -->

<div id="tab4" class="tab_content">
<ul>
						
<li><h3><?php _e( 'Header Ad Code' ); ?></h3>
<textarea id="quik_gallery_settings[header_ad]" class="regular-text" name="quik_gallery_settings[header_ad]"><?php esc_attr_e( $options['header_ad'] ); ?></textarea>
<label class="description" for="quik_gallery_settings[header_ad]"><?php _e( 'Enter your HTML code for the header ad spot.' ); ?></label>
</li>

</ul>
</div><!-- /ad spots -->

<div id="tab5" class="tab_content">
<ul>
						
<li><h3><?php _e( 'Disable Widgetized Footer' ); ?></h3>
<input id="quik_gallery_settings[extended_footer]" name="quik_gallery_settings[extended_footer]" type="checkbox" value="1" <?php checked( '1', $options['extended_footer'] ); ?> />
<label class="description" for="quik_gallery_settings[disable_related_posts]"><?php _e( 'Check this box if you would like to disable the widgetized footer section' ); ?></label>
</li>

</ul>
</div><!-- /footer -->
                
<div id="tab6" class="tab_content">
<ul>
						
<li><h3><?php _e( 'Analytics Code' ); ?></h3>
<textarea id="quik_gallery_settings[analytics]" class="regular-text" name="quik_gallery_settings[analytics]"><?php esc_attr_e( $options['analytics'] ); ?></textarea>
<label class="description" for="quik_gallery_settings[analytics]"><?php _e( 'Enter your analytics tracking code' ); ?></label>
</li>

</ul>
</div><!-- /tracking -->

</div><!--end tab container-->
</div><!-- END wrap-right -->
<div class="clear"></div>

<p class="submit-changes">
<input type="submit" class="button-primary" value="<?php _e( 'Save Options' ); ?>" />
</p>

</form>
</div><!-- END panel-content -->
</div><!-- END wrap -->

<?php
}
//sanitize and validate
function quick_galleryoptions_validate( $input ) {
	global $select_options, $radio_options;
	if ( ! isset( $input['option1'] ) )
		$input['option1'] = null;
	$input['option1'] = ( $input['option1'] == 1 ? 1 : 0 );
	$input['sometext'] = wp_filter_nohtml_kses( $input['sometext'] );
	if ( ! isset( $input['radioinput'] ) )
		$input['radioinput'] = null;
	if ( ! array_key_exists( $input['radioinput'], $radio_options ) )
		$input['radioinput'] = null;
	$input['sometextarea'] = wp_filter_post_kses( $input['sometextarea'] );

	return $input;
}
?>