<?php
$options = get_option( 'quik_gallery_settings' );
//get default css
if($options['color_scheme'] != '') {
	$color_scheme = $options['color_scheme'];
} else { $color_scheme = 'blue'; }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' :'; } ?> <?php bloginfo('name'); ?></title>

<!-- main stylesheet, favicon,  -->
<?php if ($options['custom_favicon'] != '') { ?>
<link rel="icon" type="image/png" href="<?php echo $options['custom_favicon']; ?>" />
<?php } ?>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" />

<!-- wp head -->
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
wp_head(); 
?>

<?php if(is_front_page()) { ?>
<?php if ($options['disable_homepage_slider'] != true) { ?>
<!-- homepage slider -->
<script type="text/javascript">
jQuery(function($){
$(window).load(function() {
	$('#slider').nivoSlider({
		directionNav: true,
		captionOpacity: 0.8,
		controlNav: true,
		boxCols: 8,
		boxRows: 4,
		slices: 15,
		effect:'<?php if($options['effect'] != '') { echo $options['effect']; } else { echo 'fade'; } ?>',
		animSpeed: <?php if($options['anim_speed'] != '') { echo $options['anim_speed']; } else { echo 500; } ?>,
		pauseTime: <?php if($options['pause_time'] != '') { echo $options['pause_time']; } else { echo 3000; } ?>
	});
	});
});
</script>
<?php } } ?>

<?php
//get and show google analytics code
echo stripslashes($options['analytics']); ?>

</head>
<body class="<?php echo $color_scheme ?>-scheme">
<div id="wrap">
	<div id="header">
    	<div id="header-logo">
			<?php if ($options['custom_logo'] != '') { ?>
				<a href="<?php bloginfo( 'url' ) ?>" title="<?php bloginfo( 'name' ) ?>" rel="home"><img src="<?php echo $options['custom_logo']; ?>" alt="<?php bloginfo( 'name' ) ?>" /></a>
			<?php } else { ?>
            	<?php if (is_front_page()) {?>
        			<h1><a href="<?php bloginfo( 'url' ) ?>/" title="<?php bloginfo( 'name' ) ?>" rel="home"><?php bloginfo( 'name' ) ?></a></h1>
                <?php } else { ?>
                	<h2><a href="<?php bloginfo( 'url' ) ?>/" title="<?php bloginfo( 'name' ) ?>" rel="home"><?php bloginfo( 'name' ) ?></a></h2>
				<?php } ?>
        		<p id="header-description">
					<?php bloginfo( 'description' ) ?>
				</p>
			<?php } ?>
                <?php if ($options['header_ad'] != '') { ?>
                	<div id="top-ad">
                     	<?php echo stripslashes($options['header_ad']); ?>
                 	</div><!-- /top-ad -->
                <?php } ?>
        </div><!-- /header-logo -->
</div><!-- /header -->
	<div id="primary-menu">
		<?php
		if ( function_exists('wp_nav_menu') ) {
			wp_nav_menu( array(
			'theme_location' => 'primary',
			'sort_column' => 'menu_order',
			'menu_class' => 'sf-menu',
			'fallback_cb' => 'default_menu'
			));
		}
		?>
	<div class="clear"></div>
   		<?php include (TEMPLATEPATH . '/searchform.php'); ?>
	</div><!-- /primary-menu -->
<div id="container">
	<div id="main">
	<?php if ($options['disable_homepage_slider'] != true) { ?>
	<?php if(is_front_page()) { ?>  
 		<?php include (TEMPLATEPATH . '/nivoslider.php'); ?>
		<?php } } ?>